function pde = Stokesdata1

pde = struct('fu',@fu,'fv',@fv,'gDu',@gDu,'gDv',@gDv,'u',@u,'v',@v,'p',@p);
pde.nu = 1;

    function z = fu(x,y)
        z = 0;
    end
    %exact solution
    function z = fv(x,y)
        z = 0;
    end
    % Dirichlet boundary condition
    function z = gDu(x,y)
        z = 20*x.*y.^3;
    end
    % Derivative of the exact solution
    function z = gDv(x,y)
        z = 5*(x.^4 - y.^4);
    end
    function z = u(x,y)
        z = 20*x.*y.^3;
    end
    function z = v(x,y)
       z = 5*(x.^4 - y.^4);
    end
    function z = p(x,y)
       z = 60*(x.^2*y - 20*y.^3);
    end
end