function [f1,f2] = evaluaterhs(func1,func2,N)

% Copyright (C)  Long Chen. See COPYRIGHT.txt for details.

h = 1/N;
% force
f1 = zeros(N,N+1);
f2 = zeros(N+1,N);
for j = 1:N+1
    for i = 1:N
        x = (j-1)*h;
        y = 1-(i-1)*h-0.5*h;
        f1(i,j) = func1(x,y);
    end
end
for j = 1:N
    for i = 1:N+1
        x = (j-1)*h+0.5*h;
        y = 1-(i-1)*h;
        f2(i,j) = func2(x,y);
    end
end